[arch-commits] CVS update of extra/devel/fastjar (PKGBUILD)

Jan de Groot jgc at archlinux.org
Sun Aug 19 07:54:08 EDT 2007


    Date: Sunday, August 19, 2007 @ 07:54:08
  Author: jgc
    Path: /home/cvs-extra/extra/devel/fastjar

Modified: PKGBUILD (1.2 -> 1.3)

upgpkg: fastjar 0.95-1


----------+
 PKGBUILD |   19 ++++++++-----------
 1 file changed, 8 insertions(+), 11 deletions(-)


Index: extra/devel/fastjar/PKGBUILD
diff -u extra/devel/fastjar/PKGBUILD:1.2 extra/devel/fastjar/PKGBUILD:1.3
--- extra/devel/fastjar/PKGBUILD:1.2	Tue Nov 21 12:46:47 2006
+++ extra/devel/fastjar/PKGBUILD	Sun Aug 19 07:54:08 2007
@@ -1,20 +1,17 @@
 pkgname=fastjar
-pkgver=0.92
-_snapshot=4.1-20061027
+pkgver=0.95
 pkgrel=1
 pkgdesc="Sun java jar compatible archiver"
 arch=(i686 x86_64)
-url="http://fastjar.sourceforge.net/"
+url="http://savannah.nongnu.org/projects/fastjar"
 license=(GPL)
 depends=('zlib')
-makedepends=('texinfo')
-install=
-source=(ftp://gcc.gnu.org/pub/gcc/snapshots/${_snapshot}/gcc-{core,g++,java}-${_snapshot}.tar.bz2)
+source=(http://download.savannah.nongnu.org/releases/${pkgname}/${pkgname}-${pkgver}.tar.gz)
+md5sums=('92a70f9e56223b653bce0f58f90cf950')
 
 build() {
-  mkdir ${startdir}/src/gcc-build
-  cd ${startdir}/src/gcc-build
-  ../gcc-${_snapshot}/configure --prefix=/usr --enable-shared --enable-languages=java --enable-threads=posix --libdir=/usr/lib --disable-multilib --enable-__cxa_atexit --with-clocale=gnu --with-system-zlib
-  make all-fastjar || return 1
-  make DESTDIR=${startdir}/pkg install-fastjar
+  cd ${startdir}/src/${pkgname}-${pkgver}
+  ./configure --prefix=/usr || return 1
+  make || return 1 || return 1
+  make DESTDIR=${startdir}/pkg install || return 1
 }




More information about the arch-commits mailing list